## Class TCallbackResponseWriter

Description

TCallbackResponseWriter class.

TCallbackResponseWriter class enclosed a chunck of content within a html comment boundary. This allows multiple chuncks of content to return in the callback response and update multiple HTML elements.

The Boundary property sets boundary identifier in the HTML comment that forms the boundary. By default, the boundary identifier is generated using microtime.

- since: 3.1
- version: $Id: TCallbackResponseAdapter.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TCallbackResponseAdapter.php (line 117)

    TComponent
       |
       --TTextWriter
          |
          --TCallbackResponseWriter

Method Summary
TCallbackResponseWriter __construct ()
string flush ()
string getBoundary ()
void setBoundary (string $value)
Methods
Constructor __construct (line 127)

Constructor. Generates unique boundary ID using microtime.

- access: public

TCallbackResponseWriter __construct ()
flush (line 153)

Returns the text content wrapped within a HTML comment with boundary identifier as its comment content.

- return: text content chunck.
- access: public

string flush ()

Redefinition of:

TTextWriter::flush()
  Flushes the content that has been written.

getBoundary (line 135)

- return: boundary identifier.
- access: public

string getBoundary ()
setBoundary (line 143)

- access: public

void setBoundary (string $value)

- string $value: boundary identifier.

#### Inherited Methods

Inherited From TTextWriter

> TTextWriter::flush()
> TTextWriter::write()
> TTextWriter::writeLine()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:32:39 -0400 by phpDocumentor 1.3.0RC4